function firstTerm=calcFirstTerm(geopot,uGeostr,vGeostr,lon,lat,level,f0)

%  f0/sigma d/dp [ (ugdx + vgdy) (1/f0 laplac geopot + f) ]
f=2*7.2921e-5*sin(lat*pi/180);

laplacGeopot=takeLaplacian_9point(geopot,lon,lat);

fRepeat=permute(repmat(f,[1,size(geopot,1),size(geopot,3),size(geopot,4)]),[2 1 3 4]);

%vort=fRepeat+laplacGeopot/f0;
vort=fRepeat+laplacGeopot./fRepeat;

advVort=advect(vort,uGeostr,vGeostr,lon,lat);

dAdvVortdp=calcddp(advVort,level);

% firstTerm=dAdvVortdp*f0;
firstTerm=dAdvVortdp.*fRepeat;
%--------------------------------------------------------



