function secondTerm=calcSecondTerm(geopot,uGeostr,vGeostr,lon,lat,level)

%  1/sigma laplac [ (ugdx + vgdy) (- d/dp geopot) ]


dZdp=calcddp(geopot,level);
advT=advect(dZdp,uGeostr,vGeostr,lon,lat);

laplacAdvT=takeLaplacian_9point(advT,lon,lat);

secondTerm=-laplacAdvT;
