function thirdTerm=calcThirdTerm(geopot,uGeostr,vGeostr,omega,sigmaLoc,lon,lat,level,time)

dZdp=calcddp(geopot,level);

firstPartSpace=advect(dZdp,uGeostr,vGeostr,lon,lat);

deltaTime=(time(2)-time(1))*24*3600; % 6 hour timestep ???(convert to seconds)
%deltaTime=(time(2)-time(1))*24*3600*4; 

firstPartTime=zeros(size(geopot));

%^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
% for iTime=1:length(time)
%     if iTime==1
%         ddt=(dZdp(:,:,:,iTime+1)-dZdp(:,:,:,iTime))/deltaTime;
%     elseif iTime==length(time)
%         ddt=(dZdp(:,:,:,iTime)-dZdp(:,:,:,iTime-1))/deltaTime;
%     else
%         ddt=(dZdp(:,:,:,iTime+1)-dZdp(:,:,:,iTime-1))/(2*deltaTime);
%     end
%     firstPartTime(:,:,:,iTime)=ddt;
% end
%^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
nt=length(time);
firstPartTime(:,:,:,1)=(dZdp(:,:,:,2)-dZdp(:,:,:,1))/deltaTime;
firstPartTime(:,:,:,nt)=(dZdp(:,:,:,nt)-dZdp(:,:,:,nt-1))/deltaTime;
firstPartTime(:,:,:,2:nt-1)=(dZdp(:,:,:,3:nt)-dZdp(:,:,:,1:nt-2))/(2*deltaTime);
%^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    
kappaJOverP=firstPartTime+firstPartSpace+sigmaLoc.*omega;

thirdTerm=takeLaplacian_9point(kappaJOverP,lon,lat);





